Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.node
Class PortalNodeEventContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.api.node.PortalNodeEventContextImpl

All Implemented Interfaces:
  PortalEventContext, PortalNodeEventContext

    public class PortalNodeEventContextImpl

extends java.lang.Object
implements PortalNodeEventContext

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PortalNodeEventContextImpl(PortalEventListenerRegistry registry, PortalNodeImpl node, PortalNodeEvent event, PortalRuntimeContext prc)`

Method Summary
`PortalNodeEvent` | `dispatch()` Dispatch the event to the next listeners.
`PortalNode` | `getNode()` The current node being browsed by the bubbling effect.
`PortalRuntimeContext` | `getPortalRuntimeContext()` Returns the portal runtime context or null if no event context can be associated with the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalNodeEventContextImpl

    public PortalNodeEventContextImpl(PortalEventListenerRegistry registry,
                                      PortalNodeImpl node,
                                      PortalNodeEvent event,
                                      PortalRuntimeContext prc)

Method Detail

### getPortalRuntimeContext

    public PortalRuntimeContext getPortalRuntimeContext()

  Description copied from interface: `PortalEventContext`
  Returns the portal runtime context or null if no event context can be associated with the event.

  Specified by:
    `getPortalRuntimeContext` in interface `PortalEventContext`
  Returns:
    the portal runtime context

### dispatch

    public PortalNodeEvent dispatch()

  Description copied from interface: `PortalNodeEventContext`
  Dispatch the event to the next listeners.

  Specified by:
    `dispatch` in interface `PortalNodeEventContext`
  Returns:
    the event response or null

### getNode

    public PortalNode getNode()

  Description copied from interface: `PortalNodeEventContext`
  The current node being browsed by the bubbling effect.

  Specified by:
    `getNode` in interface `PortalNodeEventContext`
  Returns:
    the current node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD